=head1 NAME

Gtk2::IconInfo

=cut

=head1 HIERARCHY

  Glib::Boxed
  +----Gtk2::IconInfo



=cut


=head1 METHODS

=head2 iconinfo = Gtk2::IconInfo-E<gt>B<new_for_pixbuf> ($icon_theme, $pixbuf)

=over

=item * $icon_theme (Gtk2::IconTheme) 

=item * $pixbuf (Gtk2::Gdk::Pixbuf) 

=back

Since: gtk+ 2.14

=head2 list = $icon_info-E<gt>B<get_attach_points> 


Returns the attach points as an interleaved list of x and y coordinates.


=head2 integer = $icon_info-E<gt>B<get_base_size> 

=head2 pixbuf or undef = $icon_info-E<gt>B<get_builtin_pixbuf> 

=head2 string = $icon_info-E<gt>B<get_display_name> 

=head2 rectangle = $icon_info-E<gt>B<get_embedded_rect> 

=head2 string = $icon_info-E<gt>B<get_filename> 

=head2 pixbuf or undef = $icon_info-E<gt>B<load_icon> 



May croak with a L<Glib::Error> in $@ on failure.

=head2 $icon_info-E<gt>B<set_raw_coordinates> ($raw_coordinates)

=over

=item * $raw_coordinates (boolean) 

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Boxed>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

